# FASI

Fast And Sleek Invite (FASI)

## About

FASI is an HTML invite page for XMPP.
The main purpose, is to provide an interface to share XMPP contacts via HTML
browsers.
It also provides an interface to explore XMPP server conferences, pubsub and
other services.

FASI is written in Python and utilizes Jinja2, FastAPI and Slixmpp.

## Features
- MUC
- Photo
- PubSub
- QR code
- Service discovery
- vCard

## Install

Use the following commands, to begin FASI.

```shell
git clone https://git.xmpp-it.net/sch/FASI
cd FASI/
python -m uvicorn fasi:app
```

## License

AGPL-3.0-only

## Copyright

Schimon Jehudah Zachary 2024
